<?php
/*
Plugin Name: FTP in the Cloud by Hosted~FTP~
Plugin URI: http://www.hostedftp.com/features/website-plugin
Description: Website visitors can send files right to your Hosted~FTP~ account with this simple plugin. Branding, custom fields and more to help you automate a workflow. 100% Hosted in the Amazon Cloud!
Author: Hosted~FTP~
Version: 1.1
Author URI: http://www.hostedftp.com/
*/

/* plugin defaults */
global $pluginhelp;
global $pluginsite;
global $pluginbutton;
global $pluginbrowse;
global $pluginusername;
global $pluginlinks_attr;

/* edit defaults here */
$pluginhelp			= "http://howto.hostedftp.com/";
$pluginsite			= "ftp.hostedftp.com";
$pluginbutton		= "Send Files";
$pluginbrowse		= "Browse";
$pluginusername		= "wordpress";
$pluginlinks_attr	= "target='_blank'";

/* plugin details */
add_filter ( 'plugin_action_links', 'hostedftp_posts_action' , - 10, 2 );

function hostedftp_posts_action($links, $file) {
	global $pluginhelp;
	
	$this_plugin = plugin_basename ( __FILE__ );
	if ($file == $this_plugin) {$links [] = "<a target='_blank' href='".$pluginhelp ."'>Help</a>";}
	return $links;
}

function widget_hostedftp() {
	global $pluginhelp;
	global $pluginsite;
	global $pluginbutton;
	global $pluginusername;
	global $pluginlinks_attr;
	
	$options = get_option('widget_hostedftp');
	
	if (!$options['site'])
		$options['site'] = $pluginsite;

	if (!$options['username'])
		$options['username'] = $pluginusername;
	
	if (!$options['button'])
		$options['button'] = $pluginbutton;
?>
  <h3 class="widget-title"><?php echo wp_specialchars($options['header'], true)?></h3>
  
  <div>
  	<?php echo wp_specialchars($options['greeting'], true)?>
  </div>
  <div style="padding-top: 4px">
  	<table width="100%" cellpadding=0 cellspacing=0>
  		<tr>
  			<td>
			  <input type="button" value="<?php echo wp_specialchars($options['button'], true) ?>" onclick="javascript:window.open('http://<?php echo wp_specialchars($options['site'], true) ?>/~<?php echo wp_specialchars($options['username'], true)?>/send/', 'Title', 'toolbar=no,location=no,directories=no,status=yes,menubar=no,scrollbars=yes,resizable=yes,width=640,height=800')">
			</td>
  <?php
	if (empty($options['links']) || !empty($options['browse'])) {
  ?>
			<td width="100%" align="right">
	  <?php
		if (!empty($options['browse'])) {
	  ?>
	  			<a <?php echo $pluginlinks_attr ?> href="ftp://<?php echo wp_specialchars($options['site'], true)?>/~<?php echo wp_specialchars($options['username'], true)?>"><nobr><?php echo wp_specialchars($options['browse'], true)?></nobr></a>
	<?php
			if (empty($options['links']))
	  			echo " | ";
		}

		if (empty($options['links'])) {
	?>
			 	<a <?php echo $pluginlinks_attr ?> href="http://<?php echo wp_specialchars($options['site'], true)?>/~<?php echo wp_specialchars($options['username'], true)?>">Options</a>
	<?php
		}
	?>
	  		</td>
	<?php
	}
	?>
		</tr>
	</table>
  </div>
  <p/>
<?php
}
 
function hostedftp_init()
{
	register_sidebar_widget(__('Hosted~FTP~'), 'widget_hostedftp');
	register_widget_control(array('Hosted~FTP~', 'widgets'), 'widget_hostedftp_control');
}

add_action("plugins_loaded", "hostedftp_init");

function widget_hostedftp_control() {
	global $pluginbrowse;
	
	$options = $newoptions = get_option('widget_hostedftp');

	if ( $_POST['hostedftp-submit'] ) {
		$newoptions['username'] = $_POST['hostedftp-username'];
		$newoptions['site'] = $_POST['hostedftp-site'];
		$newoptions['header'] = $_POST['hostedftp-header'];
		$newoptions['greeting'] = $_POST['hostedftp-greeting'];
		$newoptions['button'] = $_POST['hostedftp-button'];
		$newoptions['browse'] = $_POST['hostedftp-browse'];
		$newoptions['links'] = empty($_POST['hostedftp-links']) ? "true" : "";
	}

	if (empty($options['1.1'])) {
		$newoptions['1.1'] = true;
		$newoptions['browse'] = $pluginbrowse;
	}
	
	if ($options != $newoptions) {
		$options = $newoptions;
		update_option('widget_hostedftp', $options);
	}
?>

<div style="">
<input type="hidden" name="hostedftp-submit" id="hostedftp-submit" value="1" />
<p>
<label for="hostedftp-username"><?php _e('Username:', 'widgets'); ?> <input style="width: 200px;" type="text" id="hostedftp-username" name="hostedftp-username" value="<?php echo wp_specialchars($options['username'], true) ?>" /></label>
</p>
<p>
<label for="hostedftp-site"><?php _e('Site:', 'widgets'); ?> <input style="width: 200px;" type="text" id="hostedftp-site" name="hostedftp-site" value="<?php echo wp_specialchars($options['site'], true) ?>" /></label>
</p>
<p>
<label for="hostedftp-header"><?php _e('Title:', 'widgets'); ?> <input style="width: 200px;" type="text" id="hostedftp-header" name="hostedftp-header" value="<?php echo wp_specialchars($options['header'], true) ?>" /></label>
</p>
<p>
<label for="hostedftp-greeting"><?php _e('Greeting:', 'widgets'); ?> <input style="width: 200px;" type="text" id="hostedftp-greeting" name="hostedftp-greeting" value="<?php echo wp_specialchars($options['greeting'], true) ?>" /></label>
</p>
<p>
<label for="hostedftp-browse"><?php _e('Browse:', 'widgets'); ?> <input style="width: 200px;" type="text" id="hostedftp-browse" name="hostedftp-browse" value="<?php echo wp_specialchars($options['browse'], true) ?>" /></label>
</p>
<p>
<label for="hostedftp-button"><?php _e('Button:', 'widgets'); ?> <input style="width: 200px;" type="text" id="hostedftp-button" name="hostedftp-button" value="<?php echo wp_specialchars($options['button'], true) ?>" /></label>
</p>
<p>			
<label for="hostedftp-links">
	<nobr><input type="checkbox" name="hostedftp-links" id="hostedftp-links" value="1" <?php if (empty($options['links'])) { echo "CHECKED"; } ?> />
	<?php _e("Add an options link", "widgets"); ?></nobr>
</label>
</p>
</div>

<?php
}

?>